Android draw9patch throws NoClassDefFoundError

Сегодня я обновился до Android SDK Tools r8, и я не могу запустить инструмент draw9patch. Я получаю следующую ошибку:

Exception in thread "AWT-EventQueue-0" java.lang.NoClassDefFoundError: org/jdesktop/swingworker/SwingWorker at com.android.draw9patch.Application$1.run(Application.java:48) at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209) at java.awt.EventQueue.dispatchEvent(EventQueue.java:633) at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296) at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211) at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188) at java.awt.EventDispatchThread.run(EventDispatchThread.java:122) Caused by: java.lang.ClassNotFoundException: org.jdesktop.swingworker.SwingWorker at java.net.URLClassLoader$1.run(URLClassLoader.java:202) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(URLClassLoader.java:190) at sun.misc.Launcher$ExtClassLoader.findClass(Launcher.java:229) at java.lang.ClassLoader.loadClass(ClassLoader.java:307) at java.lang.ClassLoader.loadClass(ClassLoader.java:248) ... 9 more 

Я бегу снежный барс и имею jre (или jdk?) 1.6.

Любые идеи, как заставить это работать? Благодаря!

Solutions Collecting From Web of "Android draw9patch throws NoClassDefFoundError"

Я нашел решение (Ubuntu 10.10, java-6-sun). Скопируйте swing-worker.jar в / path_to_android_sdk / tools / lib. Вы можете найти swing-worker-1.1.jar в том же каталоге в SDK r7 или загрузить его здесь .